FROM node:23-slim

WORKDIR /app

RUN apk add --no-cache python3 make g++ pnpm

COPY package.json pnpm-lock.yaml ./

RUN pnpm install --frozen-lockfile

COPY . .

ENV NODE_ENV=production

CMD ["node", "src/index.js"]
